Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.user.server
Class LiveUserAgentServer

    java.lang.Object
      lbg.user.server.LiveUserAgentServer

    public class LiveUserAgentServer

extends java.lang.Object

A LiveUserAgentServer is a server translating job submission requests received on a socket into calls made to an EmbeddedLiveUserAgent.

The requests follow a simple text-based protocol: A request header is first sent. This header holds on one line. Each request can be followed by zero or more parameters. There is one parameter per line. See `RequestFactory` for a list of supported request headers.

A typical session established with the LiveUserAgentServer (LUAS) is as follows:

- 1) the LUAS accepts a single connection on its local port (which is then closed).
- 2) the LUAS handles the request send on the accepted socket.
- 3a) The request is a job submission: the LUAS submits the job to the EmbeddedLiveUserAgent and notifies the external software component of the result of the submission.
- 3b) The request is a shutdown request: the LUAS shuts the EmbeddedLiveUserAgent down. When it is done, it notifies the connected external software component and terminates itself.

Author:
  Gerard Dethier

Method Summary
`static void` | `main(java.lang.String[] args)` The LiveUserAgentServer has the following usage: LiveUserAgentServer serverPort userHostName userPort userDir peerHostName peerPort serverPort is the local TCP port on which the server will listen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  The LiveUserAgentServer has the following usage: LiveUserAgentServer serverPort userHostName userPort userDir peerHostName peerPort serverPort is the local TCP port on which the server will listen. userHostName is the host name of the machine running this server. userPort is the TCP port on which the EmbeddedLiveUserAgent will listen. userDir is the output directory for the EmbeddedLiveUserAgent. peerHostName is the host name of the machine running a Peer. peerPort is the TCP port on which the Peer is listening.

  Parameters:
    `args` - The parameters of the application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.